Package org.apache.sysds.resource

## Enum CloudUtils.InstanceFamily

- java.lang.Object
- - java.lang.Enum<CloudUtils.InstanceFamily>
  - - org.apache.sysds.resource.CloudUtils.InstanceFamily

All Implemented Interfaces:
  `Serializable`, `Comparable<CloudUtils.InstanceFamily>`

Enclosing class:
  CloudUtils

    public static enum CloudUtils.InstanceFamily
    extends Enum<CloudUtils.InstanceFamily>

### Enum Constant Summary

Enum Constants
`C5`
`C5A`
`C5AD`
`C5D`
`C5N`
`C6A`
`C6G`
`C6GD`
`C6GN`
`C6I`
`C6ID`
`C6IN`
`C7A`
`C7G`
`C7GD`
`C7GN`
`C7I`
`M5`
`M5A`
`M5AD`
`M5D`
`M5DN`
`M5N`
`M5ZN`
`M6A`
`M6G`
`M6GD`
`M6I`
`M6ID`
`M6IDN`
`M6IN`
`M7A`
`M7G`
`M7GD`
`M7I`
`R5`
`R5A`
`R5AD`
`R5D`
`R5DN`
`R5N`
`R6A`
`R6AD`
`R6G`
`R6GD`
`R6I`
`R6ID`
`R6IDN`
`R6IN`
`R7A`
`R7AD`
`R7G`
`R7GD`
`R7I`
`R7ID`

### Method Summary

All Methods Static Methods Concrete Methods
`static CloudUtils.InstanceFamily` `customValueOf​(String name)`
`static CloudUtils.InstanceFamily` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CloudUtils.InstanceFamily[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### M5

    public static final CloudUtils.InstanceFamily M5

#### M5A

    public static final CloudUtils.InstanceFamily M5A

#### M6I

    public static final CloudUtils.InstanceFamily M6I

#### M6A

    public static final CloudUtils.InstanceFamily M6A

#### M6G

    public static final CloudUtils.InstanceFamily M6G

#### M7I

    public static final CloudUtils.InstanceFamily M7I

#### M7A

    public static final CloudUtils.InstanceFamily M7A

#### M7G

    public static final CloudUtils.InstanceFamily M7G

#### M5D

    public static final CloudUtils.InstanceFamily M5D

#### M5AD

    public static final CloudUtils.InstanceFamily M5AD

#### M6ID

    public static final CloudUtils.InstanceFamily M6ID

#### M6GD

    public static final CloudUtils.InstanceFamily M6GD

#### M7GD

    public static final CloudUtils.InstanceFamily M7GD

#### M5N

    public static final CloudUtils.InstanceFamily M5N

#### M6IN

    public static final CloudUtils.InstanceFamily M6IN

#### M5DN

    public static final CloudUtils.InstanceFamily M5DN

#### M6IDN

    public static final CloudUtils.InstanceFamily M6IDN

#### M5ZN

    public static final CloudUtils.InstanceFamily M5ZN

#### C5

    public static final CloudUtils.InstanceFamily C5

#### C5A

    public static final CloudUtils.InstanceFamily C5A

#### C6I

    public static final CloudUtils.InstanceFamily C6I

#### C6A

    public static final CloudUtils.InstanceFamily C6A

#### C6G

    public static final CloudUtils.InstanceFamily C6G

#### C7I

    public static final CloudUtils.InstanceFamily C7I

#### C7A

    public static final CloudUtils.InstanceFamily C7A

#### C7G

    public static final CloudUtils.InstanceFamily C7G

#### C5D

    public static final CloudUtils.InstanceFamily C5D

#### C5AD

    public static final CloudUtils.InstanceFamily C5AD

#### C6ID

    public static final CloudUtils.InstanceFamily C6ID

#### C6GD

    public static final CloudUtils.InstanceFamily C6GD

#### C7GD

    public static final CloudUtils.InstanceFamily C7GD

#### C5N

    public static final CloudUtils.InstanceFamily C5N

#### C6IN

    public static final CloudUtils.InstanceFamily C6IN

#### C6GN

    public static final CloudUtils.InstanceFamily C6GN

#### C7GN

    public static final CloudUtils.InstanceFamily C7GN

#### R5

    public static final CloudUtils.InstanceFamily R5

#### R5A

    public static final CloudUtils.InstanceFamily R5A

#### R6I

    public static final CloudUtils.InstanceFamily R6I

#### R6A

    public static final CloudUtils.InstanceFamily R6A

#### R6G

    public static final CloudUtils.InstanceFamily R6G

#### R7I

    public static final CloudUtils.InstanceFamily R7I

#### R7A

    public static final CloudUtils.InstanceFamily R7A

#### R7G

    public static final CloudUtils.InstanceFamily R7G

#### R5D

    public static final CloudUtils.InstanceFamily R5D

#### R5AD

    public static final CloudUtils.InstanceFamily R5AD

#### R6ID

    public static final CloudUtils.InstanceFamily R6ID

#### R6AD

    public static final CloudUtils.InstanceFamily R6AD

#### R6GD

    public static final CloudUtils.InstanceFamily R6GD

#### R7ID

    public static final CloudUtils.InstanceFamily R7ID

#### R7AD

    public static final CloudUtils.InstanceFamily R7AD

#### R7GD

    public static final CloudUtils.InstanceFamily R7GD

#### R5N

    public static final CloudUtils.InstanceFamily R5N

#### R5DN

    public static final CloudUtils.InstanceFamily R5DN

#### R6IN

    public static final CloudUtils.InstanceFamily R6IN

#### R6IDN

    public static final CloudUtils.InstanceFamily R6IDN

### Method Detail

#### values

    public static CloudUtils.InstanceFamily[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CloudUtils.InstanceFamily c : CloudUtils.InstanceFamily.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CloudUtils.InstanceFamily valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### customValueOf

    public static CloudUtils.InstanceFamily customValueOf​(String name)